Main Page Widgets Namespaces Book

# Atk::Action Class Reference

Inheritance diagram for Atk::Action:

[legend]
List of all members.

## Public Member Functions
virtual | ~Action ()
AtkAction* | gobj ()
| Provides access to the underlying C GObject.
const AtkAction* | gobj () const
| Provides access to the underlying C GObject.
bool | do_action (int i)
| Perform the specified action on the object.
int | get_n_actions () const
| Gets the number of accessible actions available on the object.
Glib::ustring | get_description (int i) const
| Returns a description of the specified action of the object.
Glib::ustring | get_name (int i) const
| Returns the name of the specified action of the object.
Glib::ustring | get_keybinding (int i)
| Returns a keybinding associated with this action, if one exists.
bool | set_description (int i, const Glib::ustring& desc)
| Sets a description of the specified action of the object.
Glib::ustring | get_localized_name (int i)
| Returns the localized name of the specified action of the object.
## Static Public Member Functions
void | add_interface (GType gtype_implementer)
## Protected Member Functions
virtual bool | do_action_vfunc (int i)
virtual int | get_n_actions_vfunc ()
virtual const char* | get_description_vfunc (int i)
virtual const char* | get_name_vfunc (int i)
virtual const char* | get_keybinding_vfunc (int i)
virtual bool | set_description_vfunc (int i, const Glib::ustring& desc)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Atk::Action> | wrap (AtkAction* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::Action::~Action | ( |  | ) | `[virtual]`

## Member Function Documentation

void Atk::Action::add_interface | ( | GType | gtype_implementer | ) | `[static]`

bool Atk::Action::do_action | ( | int | i | ) |

  | Perform the specified action on the object. Parameters:
  i | The action index corresponding to the action to be performed.
Returns: `true` if success, `false` otherwise.

virtual bool Atk::Action::do_action_vfunc | ( | int | i | ) | `[protected, virtual]`

Glib::ustring Atk::Action::get_description | ( | int | i | ) | const

  | Returns a description of the specified action of the object. Parameters:
  i | The action index corresponding to the action to be performed.
Returns: A description string, or `0` if action does not implement this interface.

virtual const char* Atk::Action::get_description_vfunc | ( | int | i | ) | `[protected, virtual]`

Glib::ustring Atk::Action::get_keybinding | ( | int | i | ) |

  | Returns a keybinding associated with this action, if one exists. Parameters:
  i | The action index corresponding to the action to be performed.
Returns: A string representing the keybinding, or `0` if there is no keybinding for this action.

virtual const char* Atk::Action::get_keybinding_vfunc | ( | int | i | ) | `[protected, virtual]`

Glib::ustring Atk::Action::get_localized_name | ( | int | i | ) |

  | Returns the localized name of the specified action of the object. Parameters:
  i | The action index corresponding to the action to be performed.
Returns: A name string, or `0` if action does not implement this interface.

int Atk::Action::get_n_actions | ( |  | ) | const

| Gets the number of accessible actions available on the object. If there are more than one, the first one is considered the "default" action of the object. Returns: A the number of actions, or 0 if action does not implement this interface.

virtual int Atk::Action::get_n_actions_vfunc | ( |  | ) | `[protected, virtual]`

Glib::ustring Atk::Action::get_name | ( | int | i | ) | const

  | Returns the name of the specified action of the object. Parameters:
  i | The action index corresponding to the action to be performed.
Returns: A name string, or `0` if action does not implement this interface.

virtual const char* Atk::Action::get_name_vfunc | ( | int | i | ) | `[protected, virtual]`

const AtkAction* Atk::Action::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

AtkAction* Atk::Action::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

bool Atk::Action::set_description | ( | int | i,
|  | const Glib::ustring& | desc
| ) |

  | Sets a description of the specified action of the object. Parameters:
  i | The action index corresponding to the action to be performed.
  desc | The description to be assigned to this action.
Returns: A `bool` representing if the description was successfully set;.

virtual bool Atk::Action::set_description_vfunc | ( | int | i,
|  | const Glib::ustring& | desc
| ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Atk::Action> wrap | ( | AtkAction* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- action.h